Subject: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: dinkonin <[email-masked]>
Date: Mon, 2 Nov 2020 10:14:41 +0200

I agree with Eli Zaretskii,
 after some further investigation I've narrowed it down to an issue with
the arch packaging that does not exist in other non arch-based
distributions. I reported the issue in https://bugs.archlinux.org/task/68499,
and I hope this will be resolved by the package maintainer.
Again sorry for wasting your time and thank you both for the swift
responses.

On Mon, Nov 2, 2020 at 5:34 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Sun, 1 Nov 2020 22:23:44 +0000
> > Cc: dinkonin <[email-masked]>, [email-masked]
> >
> > I think Enchant is correct to generate the errors, as it shows that it
> has been mis-installed. I looked at the
> > Arch package, and it depends on libvoikko, so I'm surprised you're
> getting these errors in the first place.
> >
> > However, I think Emacs should be able (like other Enchant-using
> programs) to cope with this problem,
> > particularly as all it should have to do is ignore stderr.
> >
> > I think this can be achieved by changing the definition of
> ispell--call-enchant-lsmod to:
>
> Thanks, but I'm not interested in working around installation problems
> of programs we invoke.  It's a slippery slope, with never-ending
> additional requests we will have to honor.
>